function setResultWindow() {}; 

function popupReinit() {};

function getParam(sName, sURL) {
	if (sURL == null)
		var sURL = window.location.href;

	var iPos = sURL.indexOf('#');

	if (iPos != -1)
		sURL = sURL.substr(0, iPos);

	sURL = sURL.substr(sURL.indexOf('?') +1);

	var aParams = sURL.split('&');

	var aParam, aParam;

	for (var i = 0; i < aParams.length; i++) {
		aParam = aParams[i].split('=');

		if (aParam[0] == sName)
			return aParam[1];
	}
	
	return '';
}

function getPureURL(sURL) {
	if (sURL == null)
		var sURL = window.location.href;

	var iPos = sURL.indexOf('#');

	if (iPos != -1)
		sURL = sURL.substr(0, iPos);

	var iPos = sURL.indexOf('?');

	if (iPos != -1)
		sURL = sURL.substr(0, iPos);

	return sURL;
}

function getBookmark(sURL) {
	if (sURL == null)
		var sURL = window.location.href;

	var iPos = sURL.indexOf('#');

	if (iPos != -1)
		return sURL.substr(iPos +1);

	return '';
}

function getObjectTop(sId, oDoc) {
	if (oDoc == null)
		oDoc = document;

	var iY = 0;

	try {
	    var oObj = oDoc.getElementsByName(sId)[0];

	    while (oObj != null && oObj != oDoc.body && oObj.offsetTop != null) {
	    	iY += oObj.offsetTop;
	    	oObj = oObj.offsetParent;
	    }

    } catch (e) {
    	alert(e.message);
    }

	return iY;
}

function ipcPositionSet() {
	setTimeout('goToHash()', 1);
}

function goToHash() {
	var sBookmark = getParam('hash');

	if (sBookmark == '')
		sBookmark = getBookmark();

	if (sBookmark != '') {
		var iOffset = getObjectTop(sBookmark);
		window.scrollTo(0, iOffset);
	}
}

function goToSymbol(sSymbol,version,lang,viewmode,highlight,highlightref,highlightft) {
	commonJump(sSymbol, '', '');
}

function commonJump(sSymbol, sEndSymbol, sPrefix) {
	var sThis = window.location.href;
	sThis = sThis.substr(sThis.lastIndexOf('/') +1);
	var sExtension = sThis.substr(sThis.indexOf('.'));
	sThis = sThis.substr(0, sThis.indexOf('.'));
	var iPos = sExtension.indexOf('?');

	if (iPos > -1)
		sExtension = sExtension.substr(0, iPos);

	var iPos = sExtension.indexOf('#');
	var bUseHash = (iPos == -1) && (sSymbol.length > 4);

	if (iPos > -1)
		sExtension = sExtension.substr(0, iPos);

	var sBase = sSymbol;

	if (sSymbol.length > 4)
		sBase = sSymbol.substr(0, 4);

	if (sPrefix == null)
		sPrefix = '';

//	alert('symbol=' +sSymbol +', endymbol=' +sEndSymbol +', usehash=' +bUseHash +', this=' +sThis +', base=' +sBase +', ext=' +sExtension +', prefix=' +sPrefix);

	if (sThis == sBase && (sPrefix == null || sPrefix == '')) {
		var iOffset = getObjectTop('ipc' +sSymbol +sEndSymbol);
		window.scrollTo(0, iOffset);
	} else {
		var sURL = sPrefix +sBase +sExtension +(bUseHash ? ('?hash=ipc' +sSymbol +sEndSymbol) : ('#ipc' + sSymbol +sEndSymbol));
		window.location.href = sURL;
	}
}

function jumpLevel(sLevel, sSymbol, sEndSymbol) {
	var sURL = getPureURL();
	var aURL = sURL.split('/');
	var sRoot = aURL[aURL.length -3];
	var sType = aURL[aURL.length -2];
	var sPrefix;

	if (sRoot.indexOf('-') != -1) {
		var aRoot = sRoot.split('-');
		sPrefix = '../../' +aRoot[0] +'-' +aRoot[1] +'-' +sLevel +'/' +sType +'/';
	} else {
	}

	commonJump(sSymbol, sEndSymbol, sPrefix);
}

function jumpLang(sLang, sSymbol, sEndSymbol) {
	var sURL = getPureURL();
	var aURL = sURL.split('/');
	var sRoot = aURL[aURL.length -3];
	var sType = aURL[aURL.length -2];
	var sPrefix;

	if (sRoot.indexOf('-') != -1) {
		var aRoot = sRoot.split('-');
		sPrefix = '../../' +aRoot[0] +'-' +sLang.toLowerCase() +'-' +aRoot[2] +'/' +sType +'/';
	} else {
	}

	commonJump(sSymbol, sEndSymbol, sPrefix);
}

function getParams(querystr) {
    var r = {}, params = querystr.replace(/^[#?]/, '').split('&');
    for (var i = params.length-1;  i >= 0;  i--) {
        var p = params[i].split('='), key = p[0];
        if (key) r[key] = p[1];
    }
    return r;
}

function showBridge(symbol,version) {
    var p = getParams(location.hash);
    var menulang = '';
    if (p.menulang) menulang = '&menulang='.concat(p.menulang);
    window.open('bridge/index.html?symbol='.concat(symbol,'&version=',version,menulang), "_blank", "fullscreen=no, toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width=750, height=350");
    //TODO: append other parameters from navigational part to href
    return false;
}
